@echo off
echo **********************************************
echo Generating file unpack.txt which will contain
echo the hexcode array version of unpack routine
echo used in ttunpack.h ...
echo **********************************************
tigcc -Os -DUSE_TI89 -Wall -W -Wwrite-strings -fomit-frame-pointer -DSTANDALONE -mpcrel unpack.c
ttstrip unpack.89z unpack.bin
ttextract unpack.bin unpack.bi2 UNPACK_0 UNPACK_1
ttbin2hex -b2 -c 10 -slash unpack.bi2 unpack.txt
del unpack.bin
del unpack.bi2
@echo on
